#### D.15.8.32 grrange

Procedure from library `gradedModules.lib` (see gradedModules_lib).

Usage:
  grrange(M), graded object M

Return:
  intvec

Purpose:
  get weights of module units, thus describing the target of M

Example:

    LIB "gradedModules.lib";
    ring r=32003,(x,y,z),dp;
    module Z = grobj(freemodule(0),intvec(0:0),intvec(0:0));
    grrange(Z);
    ==>
    grdeg(Z);
    ==>
    grview(Z);
    ==> Graded homomorphism: 0 <- 0, given by zero (0^2) matrix.
    module P=grobj(module([xy,0,xz]),intvec(0,1,0));
    grrange(P);
    ==> 0,1,0
    grdeg(P);
    ==> 2
    grview(P);
    ==> Graded homomorphism: r + r(-1) + r <- r(-2), given by a matrix, with degr\
       ees:
    ==>      ..1 ....
    ==>      --- +...
    ==>   0 :  2 |..1
    ==>   1 :  - |..2
    ==>   0 :  2 |..3
    ==>      ===
    ==>        2

User manual for Singular version 4.4.1, 2025, generated by texi2html.